@echo off
set APPDIR=%~dp0
set CMD_LINE_ARGS=%1
shift
:getArgs
if ""%1""=="""" goto doneArgs
set CMD_LINE_ARGS=%CMD_LINE_ARGS% %1
shift
goto getArgs
:doneArgs

if "%JAVA%"=="" set JAVA=java
if "%CORMORANT_HOME%"=="" GOTO FIND
echo CORMORANT_HOME is no longer used and will be ignored
:FIND
PUSHD %APPDIR%
cd ..
set CORMORANT_HOME=%CD%
POPD

set PROP=event.prop
set LIB=%CORMORANT_HOME%\lib

set SEISFILE=%LIB%\seisFile-1.0.2.jar
set HSQLDB=%LIB%\hsqldb-1.8.0.4_USC1.jar
set POSTGRESQL=%LIB%\postgresql-7.4.1-jdbc3.jar
set JAVAMAIL=%LIB%\javamail-1.3.1.jar
set ACTIVATION=%LIB%\activation-1.0.2.jar
set SOD=%LIB%\sod-2.2.3internal.jar
set FISSURESUTIL=%LIB%\fissuresUtil-1.0.19internal.jar
set FISSURESIMPL=%LIB%\fissuresImpl-1.1.14internal.jar
set VELOCITY=%LIB%\velocity-1.4.jar
set COMMONS_COLLECTIONS=%LIB%\commons-collections-3.0.jar
set FISSURESIDL=%LIB%\fissuresIDL-1.0.jar
set SEEDCODEC=%LIB%\SeedCodec-1.0.1.jar
set LOG4J=%LIB%\log4j-1.2.8.jar
set JACORB=%LIB%\JacORB-2.3.0.jar
set AVALON_FRAMEWORK=%LIB%\avalon-framework-4.1.5.jar
set BACKPORT_UTIL_CONCURRENT=%LIB%\backport-util-concurrent-JacORB-2.3.jar
set LOGKIT=%LIB%\logkit-1.2.jar
set CORMORANT=%LIB%\cormorant-1.1.jar
if EXIST "%CORMORANT%" GOTO LIBEND
echo %LIB%\cormorant-1.1.jar doesn't exist
GOTO END
:LIBEND
    

set CLASSPATH=%SEISFILE%;%HSQLDB%;%POSTGRESQL%;%JAVAMAIL%;%ACTIVATION%;%SOD%;%FISSURESUTIL%;%FISSURESIMPL%;%VELOCITY%;%COMMONS_COLLECTIONS%;%FISSURESIDL%;%SEEDCODEC%;%LOG4J%;%JACORB%;%AVALON_FRAMEWORK%;%BACKPORT_UTIL_CONCURRENT%;%LOGKIT%;%CORMORANT%


%JAVA% -Dseis.name=cormorant-1.1.eventServer -Xmx512m -Dorg.omg.CORBA.ORBSingletonClass=org.jacorb.orb.ORBSingleton -Djava.awt.headless=true -Djacorb.log.default.verbosity=2 -Djacorb.logfile.maxLogSize=0 -Dorg.omg.CORBA.ORBClass=org.jacorb.orb.ORB -Dswing.volatileImageBufferEnabled=false -Djava.endorsed.dirs= -Djacorb.connection.client.pending_reply_timeout=120000 -Djacorb.logfile=logs/jacorb.log -cp %CLASSPATH% edu.sc.seis.cormorant.Start -props %PROP% %CMD_LINE_ARGS%
:END