package edu.sc.seis.cormorant.event;

import org.omg.PortableServer.POA;
import org.omg.PortableServer.Servant;
import org.omg.PortableServer.ServantLocatorPackage.CookieHolder;
import edu.sc.seis.fissuresUtil.database.event.JDBCEventAccess;

class EventLocator_impl extends org.omg.PortableServer.ServantLocatorPOA {

    public EventLocator_impl(JDBCEventAccess eventAccess, POA poa) {
        this.jdbcEventAccess = eventAccess;
        this.poa = poa;
    }

    public Servant preinvoke(byte[] oid,
                             POA inPoa,
                             String op,
                             CookieHolder cookie) {
        String oid_string = new String(oid);
        if(oid_string.indexOf("EventAccessImpl") != -1) {
            System.out.println("The type of the object is EventAccess " + op);
            EventAccessImpl efinderimpl = new EventAccessImpl(jdbcEventAccess,
                                                              Integer.parseInt(oid_string));
            return efinderimpl;
        } else {
            EventImpl eventImpl = new EventImpl(jdbcEventAccess,
                                                Integer.parseInt(oid_string));
            return eventImpl;
        }
    }

    public void postinvoke(byte[] oid,
                           POA inPoa,
                           String operation,
                           Object cookie,
                           Servant servant) {
    // Do nothing if this was an operation on the controller.
    //if(servant == m_ctrl)
    //return;
    // If the operation that just ran was a remove, we delete the
    // servant.
    //if(operation.equals("remove"))
    //servant = null;
    //m_ctrl = null;
    }

    protected JDBCEventAccess jdbcEventAccess;

    POA poa;
}